cfengine(8)

NAME
cfshow - Dump cfengine databases

SYNOPSIS
/usr/local/sbin/cfshow [options]

DESCRIPTION
cfengine is a language based system specifically designed for testing and configuring unix-like systems attached to a TCP/IP network.

cfshow is a tool for showing the contents of the internal databases used by cfengine in its operation. Many users will not care about these internal details, while cfengine manages the system transparently. More advanced users might desire a simple way to dump the contents of these databases to text, for reporting purposes. HTML and XML versions of the output are provided for easy integration with reporting.

EXAMPLES
cfshow --locks cfshow --last-seen cfshow --checksum cfshow --active cfshow --audit cfshow --classes cfshow --regex

These show the named databases.

OPTIONS
Here are all of the options supported: --help (-h) --debug (-d) --verbose (-v) --locks (-l) --last-seen (-s) --performance (-p) --checksum (-c) --classes (-C) --filename (-f) --regex (-r) --active (-a) --version (-V) --html (-H) --xml (-X) --purge (-P) --audit (-A)

FILES
cfshow reads cfengine internal information that is normally stored in the Work Directory /var/cfengine.

AUTHOR
Mark Burgess, Oslo University College

INFORMATION
http://www.cfengine.org